Jump to content
Flirc Forums
Ommand

Can't update firmware.

Recommended Posts

So I finally got things straightened out with logitech and thought I was finally in a position to actually use my flirc... seems I was wrong.

 

I went to map my keys today but nothing was taking, so I tried a firmware update.  When I hit "force fw upgrade" in the advanced page in the configuration tool it reports that my current firmware version is -16,-16 and that the latest is 2.3.  I push "yes" to complete the upgrade, it appears to start and then it hangs.  And hangs.  And hangs.  I've repeated the process no less than a dozen times and have even tried rebooting (windows 8 x64).  The device is detected correctly in device manager so I don't imagine drivers are an issue. 

 

Any advice?

Share this post


Link to post
Share on other sites

Try this:

 

https://flirc.zendesk.com/hc/en-us/articles/200712548-Using-the-ZADIG-Utility

 

** EDIT ** 

 

you have an old driver, the installer doesn't do a good job of replacing the old driver, and I don't know why. Following the instructions, you'll force the update of the driver, and everything should be good. The -16.-16 is because that request to the device doesn't work because the old winusb driver is restricting commands.

Share this post


Link to post
Share on other sites

Glad it finally worked, not sure why it took so many attempts but it shouldn't be an issue any more. Sorry for the trouble.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...